Name:           dnrd
Version:        2.20.3
Release:        10%{?dist}
Summary:        A caching, forwarding DNS proxy server

Group:          System Environment/Daemons
License:        GPLv2
URL:            http://dnrd.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        dnrd.service
Source2:        dnrd.conf.sample
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
#Requires(post): /sbin/chkconfig
#Requires(preun):/sbin/chkconfig 
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units


%description

dnrd is a proxying nameserver. It forwards DNS queries to the
appropriate nameserver, but can also act as the primary nameserver for
a subnet behind a firewall. It also has features such as caching DNS
requests, support for DNS servers, cache poisoning prevention, TCP
support, etc..

%prep
%setup -q
sed -i 's/\r//' COPYING

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL="install -p" DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -p -m 0644 %SOURCE2 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/dnrd.conf
mkdir -p $RPM_BUILD_ROOT%{_unitdir}
install -p -m755 %SOURCE1 $RPM_BUILD_ROOT%{_unitdir}/%{name}.service

%clean
rm -rf $RPM_BUILD_ROOT

%post
#if [ $1 == 1 ]; then
#         /sbin/chkconfig --add %{name} > /dev/null 2>&1
#fi
if [ $1 -eq 1 ] ; then 
    # Initial installation 
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi


%preun
#if [ $1 == 0 ]; then
#         /sbin/service %{name} stop > /dev/null 2>&1
#         /sbin/chkconfig --del %{name} > /dev/null 2>&1
#fi
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable dnrd.service > /dev/null 2>&1 || :
    /bin/systemctl stop dnrd.service > /dev/null 2>&1 || :
fi

%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart dnrd.service >/dev/null 2>&1 || :
fi

%triggerun -- dnrd < 2.20.3-9
# Save the current service runlevel info
# User must manually run systemd-sysv-convert --apply httpd
# to migrate them to systemd targets
/usr/bin/systemd-sysv-convert --save dnrd >/dev/null 2>&1 ||:

# Run these because the SysV package being removed won't do them
/sbin/chkconfig --del dnrd >/dev/null 2>&1 || :
/bin/systemctl try-restart dnrd.service >/dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README doc/README-cache
%doc doc/README-master doc/master.sample
%{_mandir}/man8/%{name}.8.gz
%{_sbindir}/%{name}
%{_unitdir}/%{name}.service
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/dnrd.conf

%changelog
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.20.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 15 2012 Jon Ciesla <limburgher@gmail.com> - 2.20.3-9
- Migrate to systemd, BZ 770254.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.20.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.20.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.20.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.20.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jul 16 2008 Rakesh Pandit <rakesh@fedoraproject.org> 2.20.3-4
 - Fixed license tag -- missed in last update.

* Tue Jul 15 2008 Rakesh Pandit <rakesh@fedoraproject.org> 2.20.3-3
 - Fixed license issue and removed duplicate files 

* Mon Jul 14 2008 Rakesh Pandit <rakesh@fedoraproject.org> 2.20.3-2
 - Removed dos2unix dependency, created /etc/dnrd/ config file folder
 - Added init.d script and an example conf file, Corrected release number
 
* Tue Jun 18 2008 Rakesh Pandit <rakesh@fedoraproject.org> 2.20.3-1
 - Initial packaged version
